Bug 1889395 - The image registry pods are stuck in the container creating state after rebooting of the node. [NEEDINFO]
Summary: The image registry pods are stuck in the container creating state after reboo...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: csi-driver
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: OCS Feature Freeze
: OCS 4.5.z Async
Assignee: Humble Chirammal
QA Contact: Elad
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 15:01 UTC by Asheth
Modified: 2020-10-30 14:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-20 05:44:25 UTC
Target Upstream Version:
bkunal: needinfo? (asheth)


Attachments (Terms of Use)

Description Asheth 2020-10-19 15:01:07 UTC
Description of problem:

The image registry pods are stuck in the container creating state after 
rebooting of the node.

Version-Release number of selected component (if applicable):

OCP 4.5.8

How reproducible:

Steps to Reproduce:
1. Check if the image registry pods are running.

2. Reboot the node on which these registry pods are running.

3. Check if the registry pods are in the container creating state after rebootong of the node.

4. Delete the registry pods stuck in the container creating state. The pods should come back to the running state.

Actual results:

The image registry pods are stuck in the container creating state after rebooting of the node and manual intervention is required to bring the registry pods back to the running state.

Expected results:
The image registry pod should be in the running state after the rebooting of the node. There should not be manual intervention required. 

Rebooting of the node should allow the pods to attach the storage which was earlier attached to the pod.

Additional info:

The image registry pods are using Ceph storage in the background.

Comment 4 Bipin Kunal 2020-10-20 05:44:25 UTC
@asheth@redhat.com Please seek collaboration from the OCS support team to get help with the initial investigation. I am closing this bug, for now, if needed please reopen if post-analysis from the OCS support team.


Note You need to log in before you can comment on or make changes to this bug.